{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    fedi-emotes.url = "git+https://git.sapphic.engineer/noe/emotes";
  };

  outputs = inputs@{ nixpkgs, fedi-emotes, ... }: let
    systems = [ "aarch64-linux" "x86_64-linux" ];
    forAllSystems = nixpkgs.lib.genAttrs systems;
  in {

    packages = forAllSystems (system: let
      mkEmotePack = fedi-emotes.packages.${system}.mkEmotePack;
    in {
      lightrunner.anime = mkEmotePack {
        name = "lightrunner-anime";
        version = "v0.0.1";
        src = ./anime;
      };

      lightrunner.hearts = mkEmotePack {
        name = "lightrunner-hearts";
        version = "v0.0.1";
        src = ./hearts;
      };
    });
  };
}